%{?!kernel:%define kernel %(rpm -q kernel-devel | tail -1 | sed -e 's|kernel-devel-||')}
%define kversion %(echo "%{kernel}" | sed -e 's|-.*||')
%define krelease %(echo "%{kernel}" | sed -e 's|.*-||')
%define kernel_moduledir /lib/modules/%{kernel}
%define kernel_src_path %{kernel_moduledir}/source

Summary: A write-back block cache for Linux
Name: flashcache
Vendor: flashcache development, https://github.com/facebook/flashcache
Version: 1.0.20101201git
Release: 1%{?dist}
License: GPL
Group: System Environment/Kernel
URL: https://github.com/facebook/flashcache/
Source0: %{name}-%{version}.tar.gz
Requires(post): /sbin/depmod
Requires(postun): /sbin/depmod
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: x86_64
BuildRequires: %kernel_module_package_buildreqs tar gcc make kernel-devel rpm-build
ExclusiveArch: x86_64

%description
Flashcache : A write-back block cache for Linux

%prep
%setup -q

%build
cd src/
make KERNEL_TREE=%{kernel_moduledir}/source/
cd ../flashcache-wt/src/
make KERNEL_TREE=%{kernel_moduledir}/source/

%install
install -o root -g root -m 0755 -d %{buildroot}/%{kernel_moduledir}/extra/flashcache
install -o root -g root -m 0755 src/flashcache.ko %{buildroot}/%{kernel_moduledir}/extra/flashcache/
install -o root -g root -m 0755 flashcache-wt/src/flashcache-wt.ko %{buildroot}/%{kernel_moduledir}/extra/flashcache/
install -o root -g root -m 0755 -d %{buildroot}/sbin
install -o root -g root -m 0755 src/utils/flashcache_create %{buildroot}/sbin/
install -o root -g root -m 0755 src/utils/flashcache_destroy %{buildroot}/sbin/
install -o root -g root -m 0755 src/utils/flashcache_load %{buildroot}/sbin/
install -o root -g root -m 0755 flashcache-wt/src/utils/flashcache_wt_create %{buildroot}/sbin/
install -o root -g root -m 0644 README %{buildroot}/sbin/
install -o root -g root -m 0755 -d %{buildroot}/usr/share/doc/%{name}-%{version}
install -o root -g root -m 0644 doc/flashcache-doc.txt %{buildroot}/usr/share/doc/%{name}-%{version}/
install -o root -g root -m 0644 doc/flashcache-sa-guide.txt %{buildroot}/usr/share/doc/%{name}-%{version}/
# install -o root -g root -m 0755 sysvinit/flashcache %{buildroot}/%{_sysconfdir}/rc.d/init.d/flashcache
# install -o root -g root -m 0644 sysconfig/flashcache %{buildroot}/%{_sysconfdir}/sysconfig/flashcache

%files
/sbin/*
/usr/share/doc/%{name}-%{version}/*
%{kernel_moduledir}/extra/flashcache/*
# %{_sysconfdir}/rc.d/init.d/flashcache
# %config(noreplace) %{_sysconfdir}/sysconfig/flashcache

%clean
rm -rf %{buildroot}

%post
depmod -a %{kernel} >/dev/null 2>&1 || :

%postun
depmod -a %{kernel} >/dev/null 2>&1 || :

%changelog
* Sun Dec 05 2010 13:00:00 +09:00 Hajime Taira <htaira@redhat.com>
- Initial build.
